import type { ToolbarsPreset } from "../../../modules/toolbars/types.js";
import type { MarkdownEditorViewProps } from "../../MarkdownEditorView.js";
import type { MarkdownEditorPreset } from "../../types.js";
import type { MToolbarData, WToolbarData } from "../types.js";
export declare const createToolbarConfig: <T extends WToolbarData | MToolbarData>(editorType: "wysiwyg" | "markup", toolbarPreset: ToolbarsPreset | MarkdownEditorPreset, toolbarName: string) => T;
interface GetToolbarsConfigsArgs {
    toolbarsPreset?: ToolbarsPreset;
    props: Pick<MarkdownEditorViewProps, 'markupToolbarConfig' | 'wysiwygToolbarConfig' | 'wysiwygHiddenActionsConfig' | 'markupHiddenActionsConfig'>;
    preset: MarkdownEditorPreset;
}
export declare const getToolbarsConfigs: ({ toolbarsPreset, props, preset }: GetToolbarsConfigsArgs) => {
    wysiwygToolbarConfig: WToolbarData;
    markupToolbarConfig: MToolbarData;
    wysiwygHiddenActionsConfig: import("../types.js").WToolbarItemData[];
    markupHiddenActionsConfig: import("../types.js").MToolbarItemData[];
};
export {};
