import type MarkdownIt from 'markdown-it';
import type { Schema } from 'prosemirror-model';
import type { Logger2 } from "../logger.js";
import { type MarkdownParserDynamicModifier } from "./markdown/MarkdownParser.js";
import type { TransformFn } from "./markdown/ProseMirrorTransformer/index.js";
import type { Parser, ParserToken } from "./types/parser.js";
type ParserTokensRegistryOptions = {
    logger: Logger2.ILogger;
};
export declare class ParserTokensRegistry {
    #private;
    constructor(opts: ParserTokensRegistryOptions);
    addToken(name: string, token: ParserToken): this;
    createParser(schema: Schema, tokenizer: MarkdownIt, pmTransformers: TransformFn[], dynamicModifier?: MarkdownParserDynamicModifier): Parser;
}
export {};
