"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SerializerTokensRegistry = void 0;
const MarkdownSerializer_1 = require("./markdown/MarkdownSerializer.js");
class SerializerTokensRegistry {
    #nodes = {};
    #marks = {};
    addNode(name, node) {
        this.#nodes[name] = node;
        return this;
    }
    addMark(name, mark) {
        this.#marks[name] = mark;
        return this;
    }
    createSerializer(dynamicModifier) {
        return new MarkdownSerializer_1.MarkdownSerializer(this.#nodes, this.#marks, dynamicModifier);
    }
}
exports.SerializerTokensRegistry = SerializerTokensRegistry;
//# sourceMappingURL=SerializerTokensRegistry.js.map
