import type { ExtensionAuto } from "../../../core/index.js";
export { BreaksSpecs, BreakNodeName, hbType, sbType } from "./BreaksSpecs/index.js";
export type BreaksOptions = {
    /**
     * This option is used if the 'breaks' parameter is not specified via the context
     * @default 'hard'
     */
    preferredBreak?: 'hard' | 'soft';
};
export declare const Breaks: ExtensionAuto<BreaksOptions>;
declare global {
    namespace WysiwygEditor {
        interface Context {
            /**
             * Same as @type {MarkdownIt.Options.breaks}
             */
            breaks: boolean;
        }
    }
}
