"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Mark = exports.markMarkType = exports.markMarkName = void 0;
const actions_1 = require("../../../utils/actions.js");
const inputrules_1 = require("../../../utils/inputrules.js");
const MarkSpecs_1 = require("./MarkSpecs/index.js");
var MarkSpecs_2 = require("./MarkSpecs/index.js");
Object.defineProperty(exports, "markMarkName", { enumerable: true, get: function () { return MarkSpecs_2.markMarkName; } });
Object.defineProperty(exports, "markMarkType", { enumerable: true, get: function () { return MarkSpecs_2.markMarkType; } });
const mAction = 'mark';
const Mark = (builder) => {
    builder.use(MarkSpecs_1.MarkSpecs);
    builder
        .addAction(mAction, ({ schema }) => (0, actions_1.createToggleMarkAction)((0, MarkSpecs_1.markMarkType)(schema)))
        .addInputRules(({ schema }) => ({
        rules: [
            (0, inputrules_1.markInputRule)({ open: '==', close: '==', ignoreBetween: '=' }, (0, MarkSpecs_1.markMarkType)(schema)),
        ],
    }));
};
exports.Mark = Mark;
//# sourceMappingURL=index.js.map
