import type { Extension, ExtensionAuto } from "../core/index.js";
import { type BlockquoteOptions, type BoldOptions, type BreaksOptions, type CodeBlockOptions, type CodeOptions, type HeadingOptions, type ImageOptions, type ItalicOptions, type LinkOptions, type ListsOptions } from "../extensions/markdown/index.js";
import { type ZeroPresetOptions } from "./zero.js";
export type CommonMarkPresetOptions = ZeroPresetOptions & {
    bold?: BoldOptions;
    code?: CodeOptions;
    link?: LinkOptions;
    lists?: ListsOptions;
    italic?: ItalicOptions;
    breaks?: BreaksOptions;
    image?: false | Extension | ImageOptions;
    codeBlock?: CodeBlockOptions;
    blockquote?: BlockquoteOptions;
    heading?: false | Extension | HeadingOptions;
};
export declare const CommonMarkPreset: ExtensionAuto<CommonMarkPresetOptions>;
