import { cn } from '@bem-react/classname';
import { i18n } from "../../../i18n/gpt/extension/index.js";
import gptIcon from "../../../icons/GPT.js";
import { ToolbarDataType } from "../../../toolbar/types.js";
import { gptHotKeys } from "./constants.js";
export const cnGptButton = cn('gpt-button');
export const wGptItemData = {
    type: ToolbarDataType.SingleButton,
    id: 'gpt',
    title: () => `${i18n('help-with-text')}`,
    hotkey: gptHotKeys.openGptKeyTooltip,
    icon: { data: gptIcon },
    hintWhenDisabled: false,
    exec: (actionsStorage) => actionsStorage.actions.addGptWidget.run({}),
    isActive: (actionsStorage) => actionsStorage.actions.addGptWidget.isActive(),
    isEnable: (actionsStorage) => actionsStorage.actions.addGptWidget.isEnable(),
    className: cnGptButton(),
};
//# sourceMappingURL=wGptItemData.js.map
