import { WYfmHtmlBlockNodeView } from "./YfmHtmlBlockNodeView/index.js";
import { YfmHtmlBlockSpecs } from "./YfmHtmlBlockSpecs/index.js";
import { YfmHtmlBlockAction } from "./YfmHtmlBlockSpecs/const.js";
import { addYfmHtmlBlock } from "./actions.js";
export const YfmHtmlBlock = (builder, { useConfig: _, ...options }) => {
    builder.use(YfmHtmlBlockSpecs, {
        nodeView: YfmHtmlBlockNodeViewFactory(options),
        ...options,
    });
    builder.addAction(YfmHtmlBlockAction, () => addYfmHtmlBlock);
};
const YfmHtmlBlockNodeViewFactory = (options) => () => (node, view, getPos) => {
    return new WYfmHtmlBlockNodeView({ node, view, getPos, options });
};
//# sourceMappingURL=index.js.map
