import { nodeTypeFactory } from "../../../../utils/schema.js";
import { ListNode } from "./const.js";
import { parserTokens } from "./parser.js";
import { schemaSpecs } from "./schema.js";
import { serializerTokens } from "./serializer.js";
export { ListsAttr, ListNode } from "./const.js";
export const liType = nodeTypeFactory(ListNode.ListItem);
export const blType = nodeTypeFactory(ListNode.BulletList);
export const olType = nodeTypeFactory(ListNode.OrderedList);
export const ListsSpecs = (builder) => {
    builder
        .addNode(ListNode.ListItem, () => ({
        spec: schemaSpecs[ListNode.ListItem],
        toMd: serializerTokens[ListNode.ListItem],
        fromMd: { tokenSpec: parserTokens[ListNode.ListItem] },
    }))
        .addNode(ListNode.BulletList, () => ({
        spec: schemaSpecs[ListNode.BulletList],
        toMd: serializerTokens[ListNode.BulletList],
        fromMd: { tokenSpec: parserTokens[ListNode.BulletList] },
    }))
        .addNode(ListNode.OrderedList, () => ({
        spec: schemaSpecs[ListNode.OrderedList],
        toMd: serializerTokens[ListNode.OrderedList],
        fromMd: { tokenSpec: parserTokens[ListNode.OrderedList] },
    }));
};
//# sourceMappingURL=index.js.map
