import { createToggleMarkAction } from "../../../utils/actions.js";
import { markInputRule } from "../../../utils/inputrules.js";
import { SuperscriptSpecs, superscriptType } from "./SuperscriptSpecs/index.js";
export { superscriptMarkName, superscriptType } from "./SuperscriptSpecs/index.js";
const supAction = 'supscript';
export const Superscript = (builder) => {
    builder.use(SuperscriptSpecs);
    builder
        .addAction(supAction, ({ schema }) => createToggleMarkAction(superscriptType(schema)))
        .addInputRules(({ schema }) => ({
        rules: [
            markInputRule({ open: '^', close: '^', ignoreBetween: '^' }, superscriptType(schema)),
        ],
    }));
};
//# sourceMappingURL=index.js.map
