import { goToNextCell } from "../../../table-utils/index.js";
import { TableSpecs } from "./TableSpecs/index.js";
import { createTableAction, deleteTableAction } from "./actions/tableActions.js";
import * as TableActions from "./actions/tableActions.js";
import * as TableHelpers from "./helpers.js";
import { tableCellContextPlugin } from "./plugins/TableCellContextPlugin/index.js";
export { TableHelpers, TableActions };
export { TableNode, TableAttrs, CellAlign as TableCellAlign } from "./const.js";
export const Table = (builder) => {
    builder.use(TableSpecs);
    builder.addKeymap(() => ({
        Tab: goToNextCell('next'),
        'Shift-Tab': goToNextCell('prev'),
    }));
    builder.addAction('createTable', createTableAction);
    builder.addAction('deleteTable', () => deleteTableAction);
    builder.addPlugin(tableCellContextPlugin);
};
//# sourceMappingURL=index.js.map
