import type { ExtensionAuto } from "../core/index.js";
import { type DeflistSpecsOptions } from "../extensions/specs.js";
import { type CheckboxSpecsOptions, type ImgSizeSpecsOptions, type VideoSpecsOptions, type YfmConfigsSpecsOptions, type YfmCutSpecsOptions, type YfmHeadingSpecsOptions, type YfmNoteSpecsOptions, type YfmTableSpecsOptions, type YfmTabsSpecsOptions } from "../extensions/yfm/specs.js";
import { type DefaultSpecsPresetOptions } from "./default-specs.js";
export type YfmSpecsPresetOptions = Omit<DefaultSpecsPresetOptions, 'heading' | 'image'> & {
    checkbox?: CheckboxSpecsOptions;
    deflist?: DeflistSpecsOptions;
    video?: VideoSpecsOptions;
    imgSize?: ImgSizeSpecsOptions;
    yfmConfigs?: YfmConfigsSpecsOptions;
    yfmCut?: YfmCutSpecsOptions;
    yfmNote?: YfmNoteSpecsOptions;
    yfmTable?: YfmTableSpecsOptions;
    yfmTabs?: YfmTabsSpecsOptions;
    yfmHeading?: YfmHeadingSpecsOptions;
};
export declare const YfmSpecsPreset: ExtensionAuto<YfmSpecsPresetOptions>;
