import type { ExtensionAuto } from "../core/index.js";
import { type DeflistOptions, type UnderlineOptions } from "../extensions/markdown/index.js";
import { type CheckboxOptions, type ImgSizeOptions, type VideoOptions, type YfmConfigsOptions, type YfmCutOptions, type YfmFileOptions, type YfmHeadingOptions, type YfmNoteOptions, type YfmTableOptions } from "../extensions/yfm/index.js";
import { type DefaultPresetOptions } from "./default.js";
export type YfmPresetOptions = Omit<DefaultPresetOptions, 'heading' | 'image'> & {
    checkbox?: CheckboxOptions;
    deflist?: DeflistOptions;
    underline?: UnderlineOptions;
    imgSize?: ImgSizeOptions;
    video?: VideoOptions;
    yfmConfigs?: YfmConfigsOptions;
    yfmCut?: YfmCutOptions;
    yfmFile?: YfmFileOptions;
    yfmHeading?: YfmHeadingOptions;
    yfmNote?: YfmNoteOptions;
    yfmTable?: YfmTableOptions;
};
export declare const YfmPreset: ExtensionAuto<YfmPresetOptions>;
